if(!qcms){
    var qcms = {}
}

if(!qcms.login){
    qcms.login = {}
}

qcms.login.oauth = function (_config){
    //
    // configuration for the oauth
    if (_config){
        var url = [_config.authorization_url+'?']
        _attr = ['client_id','client_secret','scope','redirect_uri']
        _attr.forEach((_key)=>{
            url.push( _config[_key].trim() )
        })
        //
        // We should have the URL that will implement the Oauth 2.0 flow 
        this.url = url
    }
}